package com.cab.model;

import java.util.Date;
import java.util.List;

public class TestInterface {
    private Integer id;

    private String interName;

    private String interUrl;

    private String interOwn;

    private Date createTime;
    
    private List<TestParams> paramList;
    
    private String description;
    
    private String method;
    
    private int categoryId;
    
    private String params;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getInterName() {
        return interName;
    }

    public void setInterName(String interName) {
        this.interName = interName == null ? null : interName.trim();
    }

    public String getInterUrl() {
        return interUrl;
    }

    public void setInterUrl(String interUrl) {
        this.interUrl = interUrl == null ? null : interUrl.trim();
    }

    public String getInterOwn() {
        return interOwn;
    }

    public void setInterOwn(String interOwn) {
        this.interOwn = interOwn == null ? null : interOwn.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

	public List<TestParams> getParamList() {
		return paramList;
	}

	public void setParamList(List<TestParams> paramList) {
		this.paramList = paramList;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}


	public int getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(int categoryId) {
		this.categoryId = categoryId;
	}

	public String getParams() {
		return params;
	}

	public void setParams(String params) {
		this.params = params;
	}
}